Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.data
Interface Infobit

All Superinterfaces:
  Attributed

public interface Infobit
extends Attributed

Infobit - just an versioned, secured and attributed chunk of information

Version:
  $Revision: 1.12 $
Author:
  konstantin

Field Summary
`static java.lang.String` | `CREATE_PERMISSION` capability name for infobit creation within given acl
`static java.lang.String` | `DATE_ATTRIBUTE` infobit can have assigned date attribute.
`static java.lang.String` | `INDEXABLE_ATTRIBUTE` infobits holding this attribute can be indexed.
`static java.lang.String` | `REMOVE_PERMISSION` capability name for infobit removal within given acl
`static java.lang.String` | `TYPE_ATTRIBUTE` attribute type definition ( news , or whatever )

Method Summary
`Acl` | `getAcl()` acl controlling accsees to this infobit
`Version` | `getActualVersion()` Gets the ActualVersion attribute of the Infobit object
`java.lang.String` | `getName()` infobit name is human readable identification of infobit.
`java.util.List` | `getVersions()` Gets the Versions attribute of the Infobit object

Methods inherited from interface com.infodesire.infobit.data.Attributed
`getAttributeMap`

Field Detail

### CREATE_PERMISSION

    public static final java.lang.String CREATE_PERMISSION

  capability name for infobit creation within given acl

  See Also:
    Constant Field Values

### REMOVE_PERMISSION

    public static final java.lang.String REMOVE_PERMISSION

  capability name for infobit removal within given acl

  See Also:
    Constant Field Values

### TYPE_ATTRIBUTE

    public static final java.lang.String TYPE_ATTRIBUTE

  attribute type definition ( news , or whatever )

  See Also:
    Constant Field Values

### INDEXABLE_ATTRIBUTE

    public static final java.lang.String INDEXABLE_ATTRIBUTE

  infobits holding this attribute can be indexed. no need to index titles or teasers of news separately. Only indexable invobits can be found by search engine

  See Also:
    Constant Field Values

### DATE_ATTRIBUTE

    public static final java.lang.String DATE_ATTRIBUTE

  infobit can have assigned date attribute. this attribute defines actuality and may be used by serach engine to sort search hits

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  infobit name is human readable identification of infobit. it's unique and can not be changed after creation

  Returns:
    unique infobit name

### getAcl

    public Acl getAcl()

  acl controlling accsees to this infobit

  Returns:
    aclk in charge

### getActualVersion

    public Version getActualVersion()

  Gets the ActualVersion attribute of the Infobit object

  Returns:
    The ActualVersion value

### getVersions

    public java.util.List getVersions()

  Gets the Versions attribute of the Infobit object

  Returns:
    The Versions value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.